import 'basico_model.dart';

class ModuloPermiso {
  String? id;
  String? idModulo;
  String? nombre;
  String? descripcion;
  DateTime? creado;

  ModuloPermiso({
    this.id,
    this.nombre,
    this.creado,
  });

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'idModulo': idModulo,
      'nombre': nombre,
      'descripcion': descripcion,
    };
  }

  ModuloPermiso.fromJson(Map<String, dynamic> json) {
    id = Basico.parseString(json['id']);
    idModulo = Basico.parseString(json['idModulo']);
    nombre = Basico.parseString(json['nombre']);
    descripcion = Basico.parseString(json['descripcion']);
    creado = Basico.parseDate(json['creado']);
  }
}
